> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-6/v6-8-4.md).

# Version 6.8.4 Changelog (June 15, 2018)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.8.4.66005

Release Date: June 15, 2018

## New features

* New date/time picker for form fields with corresponding properties
* `numberDecimal` keyboard input mode is now used for form fields with corresponding properties

![](https://226546913-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F0QItsdFBmuuL9ezHimHy%2Fuploads%2Fgit-blob-635c2f02258d43bd21cc136522036bb571951bc4%2Fb0552f20be3e2e75a3a49dfd560e32c220f31314-457x794.gif?alt=media)

## Fixed

* Fixed: Signature dialog's style picker did not update the stroke correctly
* Fixed: Signature mode did not work on tap sometimes; signature dialog did not resize when rotating the device
* Fixed: Annotation Toolbar's button selection sometimes did not match the real tool mode currently in use
* Fixed: `onLayout` was called excessively in Annotation Toolbar
* Fixed: Long press on annotation freezed the app
* Fixed: Multiple EditText would show on screen when creating free text
* Fixed: Freetext had different styles when creating from Annotation Toolbar than creating from Quick Menu
* Fixed: Refreshing in the root directory of SD card tab in [`AdvancedReaderActivity`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/demo/app/AdvancedReaderActivity.html) resulted in empty list
* Fixed: Tapping outside of a page should not create any type of annotations
* Fixed: Ink with no strokes still showed up in the Annotation List after using eraser
* Fixed: Centralize toast creation to ensure valid Context
* Fixed: Potential slowness when creating new [`PDFDoc`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/PDFDoc.html) from [`SecondaryFileFilter`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/filters/SecondaryFileFilter.html)
* Fixed: Annotation comments indicator now will not show if comments were added via [`ToolManager.isCopyAnnotatedTextToNoteEnabled`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#isCopyAnnotatedTextToNoteEnabled\(\))
* Fixed: Style picker's color view sometimes shifted to strange location
* Fixed: Freehand tool sometimes didn't behave correctly when in multi-page modes

## Breaking changes

* `ToolManagerBuilder.build` now takes the current Activity as a weak reference, see: \[`ToolManagerBuilder.build`]\(<https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/config/ToolManagerBuilder.html#build(FragmentActivity>, PDFViewCtrl))
* `AnnotStyleDialogFragment.show` now takes in the FragmentManager instead, see: [`AnnotStyleDialogFragment.show`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/controls/AnnotStyleDialogFragment.html#show\(FragmentManager\))


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-6/v6-8-4.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
